Emulator - Emulator Issues #9046

Dolphin 4.0-8012 (Pull Request #3139 - Mark which Wii root to use in the NAND path code) crashes
Wii System Menu Ver. 2.1E

10/20/2015 08:22 AM - Anonymous

Status: Duplicate % Done: 0%

Priority: Normal

Assignee:

Category:

Target version:

Operating system: N/A Relates to No
performance:

Issue type: Bug Easy: No

Milestone: Current Relates to No

maintainability:

Regression: Yes Regression start:
Relates to usability: No Fixed in:
Description

Game Name?

[RVL-WiiSystemmenu-v162.wad] < Wii System Menu Ver. 2.1E

Game ID? (right click the game in the game list, properties, info tab)

[No ID]

MD5 Hash? (right click the game in the game list, properties, info tab, MD5 Hash: Compute)
[8d6ed59dbbd75e7168e65883b5a675a1]

What's the problem? Describe what went wrong.

[Dolphin 4.0-8012 (Pull Request #3139) breaks Wii System Menu Ver. 2.1E (Mark which Wii root to use in the NAND path code) -
After booting up the menu, a crash can occur. The Menu will crash and will result in dolphin.exe crashing.]

What steps will reproduce the problem?
[Symptom 1 - Open Wii Settings, close out of it and open it again - will result in crash.

Symptom 2 - Opening any Menu Channel will result in crash after a few seconds (Doesn't occur if you very quickly within a couple of
seconds open a channel, but a crash will occur if you close that Channel and open any other Channel afterwards.

Opening channels from the Dolphin Menu doesn't result in a crash, only from the menu.]

Which versions of Dolphin did you test on? Does using an older version of Dolphin solve your issue? If yes, which versions
of Dolphin used to work?

[dolphin-master-4.0-8012-x64 causes the crash. dolphin-master-4.0-8010-x64 and before work fine. 5.0-rc-34 works fine.]
What are your PC specifications? (CPU, GPU, Operating System, more)

[CPU - Intel i5 2320

GPU - ASUS STRIX GeForce GTX 750 Ti

Operating System - Windows 10 Pro Professional Build 10240]

Is there any other relevant information? (e.g. logs, screenshots,
configuration files)
[Anything else here]

Related issues:
Is duplicate of Emulator - Emulator Issues #9135: Wii Menu 4.3U - "The system... Fixed

History

#1 - 10/20/2015 08:44 AM - JosJuice
| tried it on 4.0-8044 with 4.3E and didn't get any crashes. Do you know if the issue is specific to 2.1?

If anyone else can test this, especially with older Wii Menu versions, please post the results here.

#2 - 10/20/2015 09:44 PM - Anonymous

rexcaptain501 wrote:
Game Name?
[RVL-WiiSystemmenu-v162.wad] < Wii System Menu Ver. 2.1E
Game ID? (right click the game in the game list, properties, info tab)
[No ID]
MD5 Hash? (right click the game in the game list, properties, info tab, MD5 Hash: Compute)
[8d6ed59dbbd75e7168e65883b5a675a1]
What's the problem? Describe what went wrong.

[Dolphin 4.0-8012 (https:/github.com/dolphin-emu/dolphin/pull/3139) breaks Wii System Menu Ver. 2.1E (Mark which Wii root to use in the
NAND path code) - After booting up the menu, a crash can occur. The Menu will crash and will result in dolphin.exe crashing.]

What steps will reproduce the problem?
[Symptom 1 - Open Wii Settings, close out of it and open it again - will result in crash.

Symptom 2 - Opening any Menu Channel will result in crash after a few seconds (Doesn't occur if you very quickly within a couple of seconds
open a channel, but a crash will occur if you close that Channel and open any other Channel afterwards.

Opening channels from the Dolphin Menu doesn't result in a crash, only from the menu.]

Which versions of Dolphin did you test on? Does using an older version of Dolphin solve your issue? If yes, which versions of
Dolphin used to work?

[dolphin-master-4.0-8012-x64 causes the crash. dolphin-master-4.0-8010-x64 and before work fine. 5.0-rc-34 works fine.]
What are your PC specifications? (CPU, GPU, Operating System, more)

[CPU - Intel i5 2320

GPU - ASUS STRIX GeForce GTX 750 Ti

Operating System - Windows 10 Pro Professional Build 10240]

Is there any other relevant information? (e.g. logs, screenshots,
configuration files)

[Anything else here]
#3 - 10/20/2015 09:48 PM - Anonymous

Sorry, | apologize for the mess in the notes down here - | was trying to edit the post above but ended up creating a note. | don't have access to any
other menus, sorry.

#4 - 11/09/2015 06:23 AM - Anonymous

Tried with version 4.3E, 4.0-8010 works fine but 4.0-8012 and above Development Versions are still crashing. On version 4.3E, bt going into Wii
Options, next going into Wii Settings and going back into the Main Menu crashes Dolphin.

#5 - 01/12/2016 08:30 AM - JosJuice
- Milestone set to Current

- Regression changed from No to Yes

#6 - 02/26/2016 01:47 AM - Fog

Anyone want to take ownership of this issue?

#7 - 02/26/2016 03:44 AM - Fog

- Status changed from New to Fixed

Cannot reproduce in latest master, marking as fixed.

#8 - 02/26/2016 08:10 PM - Anonymous

Using the latest master at time of posting this comment (4.0-9019) | could reproduce the issue.

Video: https://youtu.be/EUMaH9tviNg

#9 - 02/26/2016 08:12 PM - Fog

Hmm, | followed the same steps and it did not crash for me.

#10 - 02/26/2016 08:26 PM - Anonymous

I'm using an empty NAND rather than one dumped from a Wii console, would that have anything to do with it? | think Dolphin might be trying to find
vital menu assets in a NAND dump when it isn't there, thus crashing.

#11 - 02/26/2016 08:28 PM - Fog

rexcaptain501 wrote:

I'm using an empty NAND rather than one dumped from a Wii console, would that have anything to do with it? | think Dolphin might be trying to
find vital menu assets in a NAND dump when it isn't there, thus crashing.

| don't even have a dumped NAND. Just running the Wii Menu by itself.

#12 - 03/11/2016 11:21 AM - JosJuice

- Status changed from Fixed to Duplicate
We shouldn't have this marked as Fixed, since it apparently still is a problem (and since there isn't any version that's known to fix this). I'll make this a
duplicate of issue 9135 for now since the underlying problem is likely to be the same, but | can change that if it turns out that a fix for that issue
doesn't fix this one.

#13 - 03/11/2016 11:21 AM - JosJuice
- Is duplicate of Emulator Issues #9135: Wii Menu 4.3U - "The system file are corrupted” screen after changed the disc and select channels. added

09/22/2019 4/4


https://bugs.dolphin-emu.org/issues/9135
http://www.tcpdf.org

